*

Retrieve an Invitation. Can be a Generic or User invitation.

GET /users/invitations/{inviteToken}

Operation id: InviteUserService_GetInvitation

Description

Permission level: Read

Tags: InviteUserService

Parameters

Path parameters

NameTypeRequiredDescription
inviteTokenstringYesthe invite token to be retrieved. Required: true

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
invitationobjectNo
{
  "type": "object",
  "properties": {
    "invitation": {
      "type": "object",
      "properties": {
        "tenantId": {
          "type": "string"
        },
        "email": {
          "type": "string",
          "description": "the email of the user. Only present if is_generic is false."
        },
        "inviteToken": {
          "type": "string"
        },
        "inviteUrl": {
          "type": "string"
        },
        "isGeneric": {
          "type": "boolean"
        },
        "numberOfSeats": {
          "type": "integer",
          "format": "int32"
        },
        "remainingSeats": {
          "type": "integer",
          "format": "int32"
        },
        "displayName": {
          "type": "string"
        },
        "site": {
          "type": "object",
          "description": "Type definition that includes the site of the invite. This is necessary so we can extend\nthis type with the site details in the GraphQL Mesh.",
          "properties": {
            "tenantId": {
              "type": "string"
            },
            "name": {
              "type": "string"
            }
          }
        },
        "owner": {
          "type": "object",
          "properties": {
            "tenantId": {
              "type": "string",
              "description": "The ID of the tenant. Required: false. Defaults to the tenant of the user making the call."
            },
            "userId": {
              "type": "string",
              "description": "The user ID. Required: true."
            },
            "firstName": {
              "type": "string",
              "description": "The first name. Required: false."
            },
            "lastName": {
              "type": "string",
              "description": "The last name. Required: false."
            }
          }
        },
        "expiresAt": {
          "type": "string",
          "format": "date-time"
        },
        "createdAt": {
          "type": "string",
          "format": "date-time"
        }
      }
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}